Subject: bug#9675: 24.0.50; doc for font name specification

From: Jason Rumney <[email-masked]>
Date: Thu, 06 Oct 2011 22:08:02 +0800

"Drew Adams" <[email-masked]> writes:

> (elisp) Low-Level Font says this about `font-spec' keyword `:name':
>  
>  The font name (a string), in either XLFD, Fontconfig, or GTK
>  format.  *Note Font Specification Options: (emacs)Font X.
>  
> There is no explanation or cross reference to understand what those 3
> formats are, and without that info this description is useless.

Font X has a cross-reference to Fonts which does contain the
documentation you are looking for. I presume Chong's fix was to link
directly there.

But before specifying the formats, it says "on X...". Windows accepts
the first three formats listed, but I am not sure about the NS port. If
that accepts those formats too, then the "on X..." should be removed.